Loading...
Searching...
No Matches
XrdOssStage.cc File Reference
`#include <unistd.h>`
`#include <cerrno>`
`#include <strings.h>`
`#include <signal.h>`
`#include <cstdio>`
`#include <ctime>`
`#include <sys/param.h>`
`#include <sys/stat.h>`
`#include <sys/wait.h>`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdOss/XrdOssApi.hh"`
`#include "XrdOss/XrdOssError.hh"`
`#include "XrdOss/XrdOssOpaque.hh"`
`#include "XrdOss/XrdOssStage.hh"`
`#include "XrdOuc/XrdOuca2x.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucMsubs.hh"`
`#include "XrdOuc/XrdOucName2Name.hh"`
`#include "XrdOuc/XrdOucProg.hh"`
`#include "XrdOuc/XrdOucReqID.hh"`
`#include "XrdFrc/XrdFrcProxy.hh"`
Include dependency graph for XrdOssStage.cc:

Go to the source code of this file.

## Macros

#define | XRDOSS_FAIL_FILE (char *)".fail"

## Functions

int | XrdOssFind_Prty (XrdOssStage_Req *req, void *carg)
int | XrdOssFind_Req (XrdOssStage_Req *req, void *carg)
int | XrdOssScrubScan (const char *key, char *cip, void *xargp)
unsigned long | XrdOucHashVal (const char *KeyVal)

## Variables

XrdSysError | OssEroute

## Macro Definition Documentation

## XRDOSS_FAIL_FILE

#define XRDOSS_FAIL_FILE (char *)".fail"

Definition at line 76 of file XrdOssStage.cc.

Referenced by XrdOssSys::Stage_QT(), and XrdOssSys::Stage_RT().

## Function Documentation

## XrdOssFind_Prty()

int XrdOssFind_Prty | ( | XrdOssStage_Req * | req,
|  | void * | carg )

Definition at line 90 of file XrdOssStage.cc.

{
int prty = *(int *)carg;
return (req->prty >= prty);
}
XrdOssStage_Req::prty
int prty
Definition XrdOssStage.hh:61

References XrdOssStage_Req::prty.

Referenced by XrdOssSys::Stage_RT().

Here is the caller graph for this function:

## XrdOssFind_Req()

int XrdOssFind_Req | ( | XrdOssStage_Req * | req,
|  | void * | carg )

Definition at line 100 of file XrdOssStage.cc.

{
XrdOssStage_Req *xreq = (XrdOssStage_Req *)carg;
return (req->hash == xreq->hash) && !strcmp(req->path, xreq->path);
}
XrdOssStage_Req
Definition XrdOssStage.hh:50
XrdOssStage_Req::path
const char * path
Definition XrdOssStage.hh:57
XrdOssStage_Req::hash
unsigned long hash
Definition XrdOssStage.hh:56

References XrdOssStage_Req::hash, and XrdOssStage_Req::path.

Referenced by XrdOssSys::Stage_RT().

Here is the caller graph for this function:

## XrdOssScrubScan()

int XrdOssScrubScan | ( | const char * | key,
|  | char * | cip,
|  | void * | xargp )

Definition at line 84 of file XrdOssStage.cc.

{return 0;}

Referenced by XrdOssSys::Stage_QT().

Here is the caller graph for this function:

## XrdOucHashVal()

unsigned long XrdOucHashVal | ( | const char * | KeyVal | ) |

extern

Definition at line 35 of file XrdOucHashVal.cc.

{extern unsigned long XrdOucHashVal2(const char *, int);
return XrdOucHashVal2(KeyVal, strlen(KeyVal));
}
XrdOucHashVal2
unsigned long XrdOucHashVal2(const char *KeyVal, int KeyLen)
Definition XrdOucHashVal.cc:40

References XrdOucHashVal2().

Referenced by XrdOssSys::Stage_RT().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## OssEroute

XrdSysError OssEroute

extern